Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxdummy.c File Reference

`#include "dmx.h"`
`#include "dmxinputinit.h"`
`#include "dmxdummy.h"`

## Functions
void | dmxDummyKbdGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
void | dmxDummyMouGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)

## Detailed Description

Provide mouse and keyboard that are sufficient for starting the X server, but that don't actually provide any events. This is useful for testing.

## Function Documentation

void dmxDummyKbdGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Return information about the dummy keyboard device specified in pDev into the structure pointed to by info. The keyboard is set up to have 1 valid key code that is NoSymbol

void dmxDummyMouGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Return information about the dummy mouse device specified in pDev into the structure pointed to by info. They mouse has 3 buttons and two axes.